ignitionmsgs1Config.Cmake error

asked 2020-01-28 10:41:09 -0600

marcusvini178 gravatar image

updated 2020-01-29 10:48:41 -0600

gvdhoorn gravatar image

Hi,

I am trying to compile the package of Prius self driving-car in my ws (Ros kinetic 16.04) from https://github.com/osrf/car_demo I am having the following issue:

CMake Error at car_demo-master/car_demo/CMakeLists.txt:15 (find_package):
  By not providing "Findignition-msgs1.cmake" in CMAKE_MODULE_PATH this
  project has asked CMake to find a package configuration file provided by
  "ignition-msgs1", but CMake did not find one.

  Could not find a package configuration file provided by "ignition-msgs1"
  with any of the following names:

    ignition-msgs1Config.cmake
    ignition-msgs1-config.cmake

  Add the installation prefix of "ignition-msgs1" to CMAKE_PREFIX_PATH or set
  "ignition-msgs1_DIR" to a directory containing one of the above files.  If
  "ignition-msgs1" provides a separate development package or SDK, be sure it
  has been installed.

-- Configuring incomplete, errors occurred!
See also "/home/marcus/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/marcus/catkin_ws/build/CMakeFiles/CMakeError.log".
Makefile:9138: recipe for target 'cmake_check_build_system' failed
make: *** [cmake_check_build_system] Error 1
Invoking "make cmake_check_build_system" failed

My CmakeList is below ( I have already changed one line which required gazebo 9 to gazebo 7 to correct another issue)

cmake_minimum_required(VERSION 2.8.3)
project(car_demo)

set (PRIUSCUP_MAJOR_VERSION 0)
set (PRIUSCUP_MINOR_VERSION 1)
set (PRIUSCUP_PATCH_VERSION 0)
set (PRIUSCUP_VERSION_FULL ${PRIUSCUP_MAJOR_VERSION}.${PRIUSCUP_MINOR_VERSION}.${PRIUSCUP_PATCH_VERSION})

find_package(catkin REQUIRED COMPONENTS
  gazebo_ros
  prius_msgs
)

find_package(gazebo 7 REQUIRED)
find_package(ignition-msgs1 REQUIRED)

catkin_package(
 # INCLUDE_DIRS include
 # LIBRARIES gazebo_radar_plugin
 CATKIN_DEPENDS gazebo_ros prius_msgs
#  DEPENDS system_lib
)

include_directories(include ${catkin_INCLUDE_DIRS} ${GAZEBO_INCLUDE_DIRS} ${SDFormat_INCLUDE_DIRS})

add_library(PriusHybridPlugin SHARED plugins/PriusHybridPlugin.cc)
target_link_libraries(PriusHybridPlugin ${GAZEBO_LIBRARIES} ${IGNITION-MSGS_LIBRARIES})
add_dependencies(PriusHybridPlugin ${catkin_EXPORTED_TARGETS})


catkin_install_python(PROGRAMS nodes/joystick_translator
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS PriusHybridPlugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY models DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY worlds DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

I tried to install the ignition-msgs1 through the command "sudo apt-get install ro-kinetic-libigntion... but just appear to me the ignition-transport0 and math2 options, not the igntion-msg1 as required... So what should I do to fix this error?

edit retag flag offensive close merge delete

Comments

Please do not post screenshots of terminals, code or CMakeLists.txt. This is explicitly mentioned in the Support Guidelines.

If you edit your question and copy-paste the CMakeLists.txt content into your question, we can re-open it.

Use the edit button/link for this.

gvdhoorn gravatar imagegvdhoorn ( 2020-01-28 11:39:50 -0600 )edit

Thanks for removing the screenshot.

gvdhoorn gravatar imagegvdhoorn ( 2020-01-29 10:49:07 -0600 )edit